Bug 9851 - Google Sync not working because the API key is missing in package
Summary: Google Sync not working because the API key is missing in package
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 3
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: D Morgan
QA Contact:
Depends on: 10922
  Show dependency treegraph
Reported: 2013-04-24 14:08 CEST by Igal Alkon
Modified: 2013-08-17 12:58 CEST (History)
7 users (show)

See Also:
Source RPM: chromium-browser-stable-26.0.1410.65-1.mga3.tainted.x86_64.rpm
Status comment:


Description Igal Alkon 2013-04-24 14:08:41 CEST
Description of problem:

Problem with "Google Sync" in the chromium-browser package, I'm unable to setup "Google Sync" on this version, it seems because the "API key" is missing for this distrobution, this post explaines the issue: https://groups.google.com/a/chromium.org/forum/?fromgroups=#!topic/chromium-dev/Qks4W0xLxqc

Version-Release number of selected component (if applicable):
Version 26.0.1410.51 Mageia.Org 2 (191102)

How reproducible:
Every time you try setting up "Google Sync"

Steps to Reproduce:
1. Install chromium-browser via package manager
2. Setup "Google Sync" with your Google account
3. Chrome will tell you "Opps" and that sync is failed


Steps to Reproduce:
Sander Lepik 2013-04-24 14:24:31 CEST

CC: (none) => sander.lepik
Hardware: x86_64 => All
Assignee: bugsquad => dmorganec

Manuel Hiebel 2013-05-16 23:13:03 CEST

Version: 2 => Cauldron
Whiteboard: (none) => MGA2TOO

Ales Cerny 2013-05-23 22:47:49 CEST

CC: (none) => alda.cerny

Comment 1 Ales Cerny 2013-05-23 22:56:54 CEST
i have the same problem with 64bit Mageia 3 and Chromium 26.0.1410.65

Hardware: All => x86_64
Version: Cauldron => 3
Source RPM: chromium-browser-stable-26.0.1410.51-1.mga2 => chromium-browser-stable-26.0.1410.65-1.mga3.tainted.x86_64.rpm
Whiteboard: MGA2TOO => (none)

Adrien D 2013-06-13 21:40:26 CEST

CC: (none) => adrien_d

Comment 2 Arnaud Vacquier 2013-06-28 07:35:32 CEST
update today : Version 28.0.1500.45 Mageia.Org 3 (205727)
Bug still here

CC: (none) => inster.css

Arnaud Vacquier 2013-06-28 07:36:57 CEST

Hardware: x86_64 => All

Pascal Terjan 2013-07-05 00:36:31 CEST

CC: (none) => pterjan

Comment 3 Dave Hodgins 2013-07-05 01:28:40 CEST
If I understand correctly, generating api keys for binaries
distributed by Mageia would then cause all Mageia users to
be limited by the requests/day limit of each api function.

Perhaps, for Mageia 2 and 3, it's time to replace the binaries
with something similar to the flash-player-plugin, and have it
download and install the program directly from google.

I think the package should be dropped from Mageia 4, due to
this change.

CC: (none) => davidwhodgins

Comment 4 Pascal Terjan 2013-07-23 21:05:50 CEST
The limits shouldn't be visible by the user (unless someone abuse the API using those keys).

Other distributions have been adding such keys. Some examples:

Debian: http://anonscm.debian.org/gitweb/?p=pkg-chromium/pkg-chromium.git;a=commitdiff;h=1c6f4c3b222a7fc38e7ab36916865ba6c90896e4

PLD: https://github.com/pld-linux/chromium-browser/commit/319f81f79128446be071c78078e1b5b42c5308b0

FreeBSD: http://svnweb.freebsd.org/ports/head/www/chromium/Makefile?r1=319795&r2=319796&view=patch

I can create a Mageia key and request a proper quota.
Comment 5 Pascal Terjan 2013-07-24 01:12:05 CEST
I have created a Mageia key (sharing ownership of it with dmorgan and tv), got the large quota, and added it to the cauldron package.

We should also add it to next updates.
Comment 6 Phil Stott 2013-07-27 15:10:01 CEST
When will the update come through, please? Have just updated to Chromium 28.0.1500.71 but problem persists. I have now no updates outstanding.

CC: (none) => phil.stott.derby

Comment 7 Pascal Terjan 2013-07-30 00:20:53 CEST
28.0.1500.71 update was released for Mageia 3 just before my change, it will be included in next update.
David Walser 2013-08-15 02:04:56 CEST

Depends on: (none) => 10922

Comment 8 Manuel Hiebel 2013-08-17 12:58:51 CEST
and it was pushed, thanks

Resolution: (none) => FIXED

Note You need to log in before you can comment on or make changes to this bug.